summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authoradv <adv@uma.es>2011-05-12 08:15:10 +0000
committeradv <adv@uma.es>2011-05-12 08:15:10 +0000
commitcea6d4421b6da0838e7ac4a7efcb0113b305add7 (patch)
tree0ac504a6854ffcb64c1652d966f770b66c43cc3e
parent7ee2d1a0472019454a7698b17d6bac971756af0a (diff)
version 1.0.1 #381 errores en deployImage y updateCache
git-svn-id: https://opengnsys.es/svn/branches/version1.0@1967 a21b9725-9963-47de-94b9-378ad31fedc9
-rwxr-xr-xclient/shared/scripts/deployImage16
-rwxr-xr-xclient/shared/scripts/updateCache2
2 files changed, 10 insertions, 8 deletions
diff --git a/client/shared/scripts/deployImage b/client/shared/scripts/deployImage
index 6d32893b..cb5cd6ef 100755
--- a/client/shared/scripts/deployImage
+++ b/client/shared/scripts/deployImage
@@ -8,18 +8,20 @@ if [ $# -lt 4 ]; then
fi
#controlar param1 REPO
-
+echo "Realizando un updateCache REPO $2.img $5 $6"
updateCache REPO $2.img $5 $6
-RC=$?
-if [ "$RC" != "0" ]
+RETVAL=$?
+if [ "$RETVAL" != "0" ]
then
- echo "fin del updateCache REPO $2.img $5 $6 con error $RC"
+ echo "fin del updateCache REPO $2.img $5 $6 con error $RETVAL"
# RC=15 No hay cache
# RC=16 no hay espacio sufiente
- exit $RC
+ exit $RETVAL
else
echo "iniciando un ogRestore CACHE desde deployImage"
- ogRestoreImage CACHE $2 $3 $4
- ogExtendFs $3 $4
+ ogRestoreImage CACHE /$2 $3 $4
+ RETVAL=$?
+ [ "$RETVAL" == "0" ] && configureOs $2 $4
+ exit $RETVAL
fi \ No newline at end of file
diff --git a/client/shared/scripts/updateCache b/client/shared/scripts/updateCache
index 41fb0258..6792edf6 100755
--- a/client/shared/scripts/updateCache
+++ b/client/shared/scripts/updateCache
@@ -14,7 +14,7 @@
PROG="$(basename $0)"
-if [ $# -lt 4 ]; then
+if [ $# -lt 3 ]; then
ogRaiseError $OG_ERR_FORMAT "$MSG_FORMAT: $PROG str_REPO _str_Relative_Path_OGIMG_with_/ PROTOCOLO OPCIONES_PROTOCOLO OPCIONES_UPDATECACHE"
exit $?
fi